List Campaigns
Returns a paginated list of campaigns.
Authorization
bearerAuth In: header
Query Parameters
Unique identifier for the resource.
uuidFilters by any of the supplied id values.
items <= 10Current status of the resource.
Filters by any of the supplied status values.
Only returns resources whose last sendout date is after this timestamp (exclusive). See Filtering for timestamp precision.
date-timeOnly returns resources whose last sendout date is at or after this timestamp (inclusive). See Filtering for timestamp precision.
date-timeOnly returns resources whose last sendout date is before this timestamp (exclusive). See Filtering for timestamp precision.
date-timeOnly returns resources whose last sendout date is at or before this timestamp (inclusive). See Filtering for timestamp precision.
date-timeMaximum number of resources to return.
100 <= value <= 100Opaque token returned by a previous page request.
1 <= lengthResponse Body
application/json
curl -X GET "https://api.getmateo.com/v1/campaigns"{ "object": "list", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "key": "string", "name": "string", "status": "cancelled", "sendout_mode": "once", "schedule": "string", "send_after": "2019-08-24T14:15:22Z", "last_sendout_date": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ], "next_page_url": "string", "previous_page_url": "string"}